''' © Copyright 2023 University of Florida Research Foundation, Inc. All Commercial Rights Reserved.'''
# Train/val/test sets as 1) dir: path/to/imgs, 2) file: path/to/imgs.txt, or 3) list: [path/to/imgs1, path/to/imgs2, ..]
path: ../data/DeepICLogo  # dataset root dir
train: images/train  # train images 
val: images/val  # val images 
test: images/test  # test images

# number of classes
nc: 120

# Classes
names:
  0: NaN 
  1: ANPEC Electronics Corp.
  2: ASMT
  3: ASPEED Technology Inc.
  4: AT&T Inc.
  5: ATI Technologies Inc.
  6: AUO Corporation
  7: AVA Semiconductor
  8: Advanced Micro Devices Inc.
  9: Advanced Micro-Systems Inc.
  10: Agere Systems Inc.
  11: Alliance Semiconductor Corporation
  12: Altera Corporation
  13: Analog Devices Inc.
  14: Atmel Corporation
  15: Bel Fuse Inc.
  16: Brilliance Semiconductor Inc.
  17: Broadcom Inc.
  18: CSI Semiconductor Solutions Ltd.
  19: California Micro Devices Corporation
  20: Catalyst Semiconductor Inc.
  21: Chips and Technologies Inc.
  22: Cirrus Logic Inc.
  23: Cisco Systems Inc.
  24: Coiltronics
  25: Compaq Computer Corporation
  26: Cypress Semiconductor Corporation
  27: DATEL Inc.
  28: Dallas Semiconductor
  29: Elpida Memory Inc.
  30: Exar Corporation
  31: Fairchild Semiconductor International Inc.
  32: Freescale Semiconductor Inc.
  33: Fujitsu Ltd.
  34: GS Microelectronics Inc.
  35: General Semiconductors Industries Inc.
  36: Halo Electronics
  37: Harris Corporation
  38: Heartstream
  39: Hewlett-Packard
  40: Hitachi Ltd.
  41: Huizhou U&T Electronics Inc.
  42: Infineon Technologies
  43: Integrated Circuit Systems Inc.
  44: Integrated Device Technology
  45: Integrated Silicon Solution Inc.
  46: Intel Corporation
  47: International Rectifier
  48: Intersil Inc.
  49: JETkey
  50: Kingston Technology Corporation
  51: LG Electronics Inc.
  52: LSI Corporation
  53: Lantiq
  54: Lattice Semiconductor Corporation
  55: Lenovo Group Limited
  56: Level One Communications Inc.
  57: Linear Technology Corporation
  58: M-Systems Ltd.
  59: Macronix International Co. Ltd.
  60: Marvell Technology Inc.
  61: Maxim Integrated Circuit
  62: Microchip Technology Inc.
  63: Micron Technology Inc.
  64: Microsoft Corporation
  65: Mitel Semiconductor
  66: Mitsubishi Electric Corporation
  67: Monolithic Memories, Inc.
  68: Mosel Vitelic Corporation
  69: Motorola Inc.
  70: NEC Corporation
  71: NXP Semiconductors
  72: National Semiconductor
  73: NeoFidelity Inc.
  74: NetLogic Microsystems Inc.
  75: Novatek Microelectronics Corp.
  76: Nuvoton Technology Corporation
  77: Nuvoton Technology Corporation Corporation
  78: ON Semiconductor Corporation
  79: OPTi Inc.
  80: Oki Electric Industry Co. Ltd.
  81: Omron Corporation
  82: Panasonic Corporation
  83: Pericom Semiconductor Corp.
  84: Philips Electronics
  85: Pulse Electronics
  86: QLogic Corporation
  87: Qimonda AG
  88: Quality Semiconductor Inc.
  89: Realoid
  90: Realtek Semiconductor Corp.
  91: Ricoh Company Ltd.
  92: Robert Bosch GmbH
  93: SGS-Thomson Microelectronics
  94: SK hynix Inc.
  95: STMicroelectronics
  96: Sammy Corporation
  97: Samsung Electronics Co. Ltd.
  98: Sharp Corporation
  99: Siemens AG
  100: Signetics Corporation
  101: Silicon Integrated Systems
  102: Silicon Laboratories Inc.
  103: Siliconix Inc.
  104: Spansion Inc.
  105: Standard Microsystems Corporation
  106: StarRam
  107: Super Micro Computer Inc.
  108: Texas Instruments Inc.
  109: Toshiba Corporation
  110: Tundra Semiconductor Corporation
  111: United Microelectronics Corporation
  112: VLSI Technology Inc.
  113: Vitec Electronics Corporation
  114: Winbond Electronics Corporation
  115: Xilinx Inc.
  116: Yamaha Corporation
  117: Zarlink Semiconductor
  118: Zentel Electronic Corp.
  119: Zilog Inc.